using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using wispro.sp.entity;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Authentication.JwtBearer;

namespace wispro.sp.api.Controllers
{
    //[Authorize]
    [Route("api/[controller]")]
    [ApiController]
    public class VerifyCoefficientController : ControllerBase
    {
        spDbContext Context;

        public VerifyCoefficientController(spDbContext context)
        {
            Context = context;
        }


        public List<VerifyCoefficient> GetAll()
        {
            var result = Context.VerifyCoefficients.Include(b=>b.DoPerson).Include(b=>b.Checker);
                
            return result.ToList<VerifyCoefficient>();

        }
    }
}
